#ifndef __BDIDLL_H__
#define __BDIDLL_H__
/*************************************************************************
|  COPYRIGHT (c) 1997 BY ABATRON AG
|*************************************************************************
|
|  PROJECT NAME: BDI Communication Driver
|  FILENAME    : bdilnk.h
|
|  COMPILER    : Visual C++ V5.0 / V1.5
|
|  TARGET OS   : WIN32 / WIN16
|  TARGET HW   : PC
|
|  PROGRAMMER  : Abatron / RD
|  CREATION    : 22.07.97
|
|*************************************************************************
|
|  DESCRIPTION :
|  DLL for communication with BDI
|
|
|*************************************************************************
|
|
|  UPDATES     :
|
|  DATE      NAME  CHANGES
|  -----------------------------------------------------------
|  Latest update
|  ...
|  13.13.97  aba   Bla bla ...
|  ...
|  First update
|
|*************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif 

/*************************************************************************
|  DEFINES
|*************************************************************************/

/* TCP/IP ports for the two BDI-HS */
#define BDINET_PORT_1           2001
#define BDINET_PORT_2           2002

/* Pending BDI event masks */
#define BDI_STATE_CHANGED       (1<<0)  /* target state has changed       */
#define BDI_TERMINAL_CHAR       (1<<1)  /* terminal char(s) ready to read */

/* down load constants */
#define BDI_NO_VERIFY       0
#define BDI_FIRST_VERIFY    1
#define BDI_FULL_VERIFY     2
#define BDI_ONLY_VERIFY     3


/*************************************************************************
|  TYPEDEFS
|*************************************************************************/

/*************************************************************************
|  FUNCTIONS
|*************************************************************************/

#ifdef _DEBUG
void  PASCAL FAR BDI_SetLogFile(FILE* f);
#endif

DWORD PASCAL FAR BDI_INetAddr(const char FAR *ipAddress);
int	  PASCAL FAR BDI_Open(const char FAR *parameter);
void  PASCAL FAR BDI_SetNetFrameType(void);
int   PASCAL FAR BDI_Close(void);

int   PASCAL FAR BDI_Transaction(      int       commandLength, 
                                 const void FAR *commandData,
                                       int       answerSize,
                                       void FAR *answerData,
                                       DWORD     commandTime);

BYTE  PASCAL FAR BDI_GetPendingEvents(void);

int   PASCAL FAR BDI_InitDownload(BYTE verifyMode, BOOL compress);
int   PASCAL FAR BDI_Download(DWORD address, WORD count, BYTE FAR *data);
int   PASCAL FAR BDI_EndDownload(DWORD FAR *errorAddr);

#ifdef __cplusplus
}
#endif 

#endif

